Author Topic: Icons are very hard to see  (Read 58 times)

akraines

  • Pro Ultimate
  • Newbie
  • *
  • Posts: 18
    • View Profile
Icons are very hard to see
« on: August 10, 2019, 01:01:18 am »
The users cannot see the icons to expand the grid.
The icon is so non-distinctive that it  blends into the background to be almost invisible. 

akraines

  • Pro Ultimate
  • Newbie
  • *
  • Posts: 18
    • View Profile
Re: Icons are very hard to see
« Reply #1 on: August 10, 2019, 01:05:46 am »
I tried it with all the themes and it had the same issue.

paramvir

  • Administrator
  • Hero Member
  • *****
  • Posts: 3994
    • View Profile
Re: Icons are very hard to see
« Reply #2 on: August 11, 2019, 09:38:53 am »
This issue seems to related to your previous issue of missing icons in jQueryUI dialog.

https://paramquery.com/forum/index.php?topic=3285

Please ensure to include all required jQueryUI and pqgrid css files.

Kindly share a jsfiddle if you want me to check it for you.

akraines

  • Pro Ultimate
  • Newbie
  • *
  • Posts: 18
    • View Profile
Re: Icons are very hard to see
« Reply #3 on: August 20, 2019, 07:36:35 pm »
I dont think the missing buttons was a css issue. See my solution over there.

Either way here are all the css and js imports on the screen:
Code: [Select]
        <link href="/css/jquery-ui.min.css" rel="stylesheet" />
        <link href="https://cdnjs.cloudflare.com/ajax/libs/chosen/1.8.7/chosen.min.css" rel="stylesheet" />
        <link href="/css/Style.css" rel="stylesheet" />
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.1/css/all.css" integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr" crossorigin="anonymous">
        <link href="//rawgithub.com/indrimuska/jquery-editable-select/master/dist/jquery-editable-select.min.css" rel="stylesheet">
        <script src="/js/jquery_2.2.4.min.js"></script>
        <script src="/js/jquery-ui.js"></script>
        <script src="/js/jquery.are-you-sure.js"></script>
        <script src="/js/jquery.validate.js"></script>
        <script src="/js/jquery.validate.unobtrusive.js"></script>
        <script src="/js/jquery.unobtrusive-ajax.js"></script>
        <script src="/js/chosen.jquery.js"></script>
        <script src="/js/moment.js"></script>
        <script src="/js/lodash.min.js"></script>
        <script src="/js/jquery.ui.autocomplete.html.js"></script>
        <script src="/js/chosen.order.jquery.js"></script>
        <script src="/js/shared.js"></script>
        <script src="/js/nav-controls.js"></script>
        <script src="/js/CustomValidators.js"></script>



<!--ParamQuery Grid css files-->
<link rel="stylesheet" href="/libraries/paramquery-6.1.0/pqgrid.min.css" />
<!--add pqgrid.ui.css for jQueryUI theme support-->
<link rel="stylesheet" href="/libraries/paramquery-6.1.0/pqgrid.ui.min.css" />
<!--ParamQuery Grid custom theme e.g., office, bootstrap, rosy, chocolate, etc (optional)-->
<link rel="stylesheet" href="/libraries/paramquery-6.1.0/themes/gray/pqgrid.css" />
<!--ParamQuery Grid js files-->
<script type="text/javascript" src="/libraries/paramquery-6.1.0/pqgrid.min.js"></script>
<!--ParamQuery Grid localization file (necessary since v5.2.0)-->
<script src="/libraries/paramquery-6.1.0/localize/pq-localize-en.js"></script>
<!--Include pqTouch file to provide support for touch devices (optional)-->
<script type="text/javascript" src="/libraries/paramquery-6.1.0/pqTouch/pqtouch.min.js"></script>
<!--Include jsZip file to support xlsx and zip export (optional)-->
<script type="text/javascript" src="/libraries/paramquery-6.1.0/jsZip-2.5.0/jszip.min.js"></script>
<!--Include jquery.resize to support auto height of detail views in hierarchy (optional)-->
<script type="text/javascript" src="/libraries/paramquery-6.1.0/javascript-detect-element-resize/jquery.resize.js"></script>
<script src="https://cdn.jsdelivr.net/npm/[email protected]/dist/FileSaver.min.js"></script>



paramvir

  • Administrator
  • Hero Member
  • *****
  • Posts: 3994
    • View Profile
Re: Icons are very hard to see
« Reply #4 on: August 21, 2019, 08:50:51 am »
Please check the topic on include files in tutorial section and ensure to use jQueryUI version >= 1.11.4

https://paramquery.com/pro/tutorial#topic-include

Look out for 404 errors in the browser console

It could also be due to conflict with some third party library ( in that case try to troubleshoot by removing the third party libraries one by one )

Kindly share a jsfiddle if you want me to check it for you.
« Last Edit: August 21, 2019, 09:08:40 am by paramvir »